// gnome.xonotic.in.ua

flareshader
{
	cull none
	{
		map gfx/misc/flare.tga
		blendfunc gl_one gl_one
		rgbgen vertex
	}
}

models/mapobjects/gratelamp/gratetorch2b
{
	cull disable
	{
		map models/mapobjects/gratelamp/gratetorch2b.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/teleporter/energy
{
	cull disable
	{
		map models/mapobjects/teleporter/energy.tga
		blendfunc gl_one gl_one
		tcmod scroll 2.2 1.3
		rgbgen wave inversesawtooth -.3 1.3 0 1.3
	}
	{
		map models/mapobjects/teleporter/energy2.tga
		blendfunc gl_one gl_one
		tcmod scroll -1 .5
		rgbgen wave inversesawtooth -.2 1.2 0 .5
	}
	{
		map models/mapobjects/teleporter/energy3.tga
		blendfunc gl_one gl_one
		tcmod scroll 3 0
		rgbgen wave triangle 1 1 0 5.3
	}
}

models/mapobjects/teleporter/teleporter_edge
{
	{
		map models/mapobjects/teleporter/teleporter_edge.tga
		rgbgen vertex
	}
	{
		map models/mapobjects/teleporter/teleporter_edge2.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 .2 1.5
	}
}

models/mapobjects/teleporter/transparency
{
	cull disable
	{
		map models/mapobjects/teleporter/transparency.tga
		blendfunc gl_one gl_one
	}
	{
		map models/mapobjects/teleporter/transparency2.tga
		blendfunc gl_one gl_one
		tcmod scroll .1 .2
	}
}

models/mapobjects/teleporter/widget
{
	cull disable
	{
		map models/mapobjects/teleporter/widget.tga
		blendfunc gl_one gl_one
	}
	{
		map models/mapobjects/teleporter/transparency2.tga
		blendfunc gl_one gl_one
		tcmod scroll -.1 -.2
	}
}

models/mapobjects/wallhead/lion_m
{
	{
		map models/mapobjects/wallhead/lion_m.tga
		blendfunc gl_one gl_zero
		rgbgen vertex
	}
	{
		map textures/sfx/firewalla.tga
		blendfunc gl_one gl_one
		tcmod scroll 0.1 1
	}
	{
		map models/mapobjects/wallhead/lion_m.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen vertex
	}
}

textures/base_light/ceil1_38_10k
{
	qer_editorimage textures/base_light/ceil1_38.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/xceil1_39_2k
{
	qer_editorimage textures/base_light/ceil1_39.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_39.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_39.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_wall/protobanner
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	tesssize 64
	deformvertexes wave 30 sin 0 3 0 .2
	deformvertexes wave 100 sin 0 3 0 .7
	{
		map textures/base_wall/protobanner.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/base_wall/protobanner_still
{
	qer_editorimage textures/base_wall/protobanner.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	tesssize 64
	{
		map textures/base_wall/protobanner.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm detail
	surfaceparm clusterportal
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/gothic_block/killblockgeomtrn
{
	{
		map textures/sfx/firegorre.tga
		tcmod scroll 0 1
		tcmod turb 0 .25 0 1.6
		tcmod scale 2 2
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_block/blocks18cgeomtrn2.tga
		blendfunc blend
		tcmod rotate 30
		tcmod stretch sin .8 0.2 0 .2
		rgbgen identity
	}
	{
		map textures/gothic_block/blocks18cgeomtrn2.tga
		blendfunc blend
		tcmod rotate 20
		tcmod stretch sin .8 0.2 0 .1
		rgbgen identity
	}
	{
		map textures/gothic_block/killblockgeomtrn.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/gothic_block/killblock_i4b
{
	q3map_surfacelight 300
	q3map_lightimage textures/gothic_block/killblock_i4glow.tga
	qer_editorimage textures/gothic_block/killblock_i4.tga
	{
		map textures/gothic_block/killblock_i4.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/gothic_block/killblock_i4glow.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .9 .1 0 .1
	}
}

textures/gothic_floor/xq1metalbig_ow
{
	{
		map textures/gothic_floor/xq1metalbig_ow.tga
		rgbgen identity
	}
	{
		map textures/sfx/specular.tga
		tcgen environment
		tcmod scale 3 3
		tcmod turb 0 .25 0 .05
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map textures/gothic_floor/xq1metalbig_ow.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/gothic_light/ironcrosslt1_1000
{
	qer_editorimage textures/gothic_light/ironcrosslt1.tga
	q3map_lightimage textures/gothic_light/ironcrosslt1.blend.tga
	q3map_surfacelight 1000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrosslt1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrosslt1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/gothic_trim/km_arena1tower4_shiny
{
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_trim/km_arena1tower4_shiny.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
}

textures/gothic_trim/zinc_shiny
{
	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/gothic_trim/zinc_shiny.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/sfx/bouncepad1q1metal7_99
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga
	q3map_surfacelight 2000
	{
		map textures/sfx/bouncepad1q1metal7_99.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcmod stretch sin 1.2 .8 0 1.5
		rgbgen wave square .5 .5 .25 1.5
	}
}

textures/sfx/bounce_xq1metalbig
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga
	q3map_surfacelight 400
	{
		map textures/sfx/bounce_xq1metalbig.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcmod stretch sin 1.2 .8 0 1.5
		rgbgen wave square .5 .5 .25 1.5
	}
}

textures/sfx/demonltblackfinal
{
	q3map_lightimage textures/sfx/demonltblackfinal_glow2.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/sfx/demonltblackfinal.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/sfx/demonltblackfinal_glow2.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .9 .1 0 5
	}
}

textures/sfx/flame1side
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/sfx/flame2
{
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 5500
	qer_editorimage textures/sfx/flame1.tga
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/sfx/mkc_bigflame
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	qer_editorimage textures/sfx/flame1.tga
	q3map_surfacelight 500
	surfaceparm nolightmap
	cull none
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/skies/kcbasesky_arena1_sky
{
	qer_editorimage textures/skies/pjbasesky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_sun 0.266383 0.274632 0.358662 150 60 85
	q3map_surfacelight 500
	skyparms - 512 -
	{
		map textures/skies/dimclouds.tga
		tcmod scroll 0.01 0.01
		tcmod scale 3 3
		depthwrite
	}
	{
		map textures/skies/pjbasesky.tga
		blendfunc gl_one gl_one
		tcmod scroll -0.01 -0.01
		tcmod scale 5 5
	}
}

